Subject: Re: Warp Watchdog

From: Sean MacLennan <[email-masked]>
Date: Mon, 21 Jan 2008 12:50:34 -0500

Josh Boyer wrote:
> I'm not thrilled with it being in the platform file itself.  It should
> really go into drivers/watchdog.  It's OK that the watchdog is tied to
> Warp, that really isn't an issue.  Just make it depend on Warp in the
> Kconfig file.  And you can select it in your board config so that it's
> built in-kernel and not as a module.
>
> The code itself looks pretty clean.
>   
Thanks for the feedback. I think I was trying to convince myself that 
the platform was a good place but honestly felt it should be in the 
drivers/watchdog. So I moved it there.

Cheers,
   Sean